IF OBJECT_ID('dbo.fco_integrada_rt06') IS NOT NULL
    DROP TABLE dbo.fco_integrada_rt06
GO
CREATE TABLE dbo.fco_integrada_rt06
-- Planilla Integrada Registro Tipo 6
-- Total Aportes del Período a Cajas de Compensación Familiar por Administradora
(
    compania char(4) NOT NULL,
    anio smallint NOT NULL,
    mes tinyint NOT NULL,
    sucursal varchar(10) NOT NULL,
    tipo_planilla char(1) NOT NULL DEFAULT 'E',
    cod_CCF char(10) NOT NULL,
    secuencia smallint NOT NULL,
    nit varchar(16) NOT NULL,
    dv char(1) NOT NULL,
    suma_aportes decimal(10) NOT NULL,
    dias_mora smallint NOT NULL,
    int_mora decimal(10) NOT NULL,
    total_pagar AS suma_aportes + int_mora,
    total_afiliados decimal(6) NOT NULL,
    CONSTRAINT pk_fco_integrada_rt06 PRIMARY KEY NONCLUSTERED (compania, anio, mes, sucursal, tipo_planilla, cod_CCF)
)
GO
GRANT ALL ON dbo.fco_integrada_rt06 TO PUBLIC
GO
